Redmine - Feature #2722

New user notification
2009-02-11 19:11 - Ric Turley

Status: New Start date: 2009-02-11
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

Very nice application - keep up the great work.

I've put instructions on the my main page for people to email me once they self-register so | can assign them to the appropriate
projects. It would be great to be able to set an email address (or several) to be notified on user self-activation.

Related issues:

Related to Redmine - Feature #3775: Request project access by new users New 2009-08-24
Related to Redmine - Feature #1945: Automatically add user to project New 2008-09-25
Related to Redmine - Patch #32142: Send notification when a user is created v... New

History

#1 - 2009-02-12 04:21 - Eric Davis

Ric Turley wrote:

It would be great to be able to set an email address (or several) to be notified on user self-activation.

To rephrase this, you would like to be able to setup an email address that gets notified when a user has been activated correct?
Example:

1. User A signs up for Redmine

2. User A gets registration email

3. User A clicks the activation link
4. User B gets a notification that User A has completed activation

#2 - 2009-02-12 13:57 - Ric Turley
Ideally...
Scenario 1: Self Registration setting set to "account activation by email"
1. User A signs up for Redmine
2. User A gets registration email
3. User A clicks the activation link
4. User B (and possibly C, D, ... N) gets a notification that User A has completed activation

Scenario 2: Self Registration setting set to "automatic account activation"

1. User A signs up for Redmine
2. User B (and possibly C, D, ... N) gets a notification that User A has completed activation

#3 - 2009-02-12 19:16 - Eric Davis

- Category set to Email notifications

#4 - 2009-11-28 14:46 - Jean-Philippe Lang
- Target version set to 1.0.0 (RC)

#5 - 2010-01-19 18:14 - Paulo Santos
Related to #3775...
https://www.redmine.org/issues/3775

#6 - 2010-06-15 00:41 - Eric Davis
- Target version deleted (1.0.0 (RC))

Removing from 1.0. This hasn't been completed and 1.0 is feature frozen.

#7 - 2011-02-02 14:37 - Arno Schoenmakers

Hi,

this is exactly the feature I'm looking for in our installation. Will this be added any time soon..?
#8 - 2011-02-07 12:11 - Terence Mill

+1

Very useful for us!

#9 - 2013-03-06 07:38 - Aidin Abedi

+1

#10 - 2014-01-11 00:12 - Jean-Baptiste Martin

+1

#11 - 2014-09-11 12:21 - Renzo Dani

+1

#12 - 2014-09-12 06:44 - Michael Esemplare

| wouldn't mind creating a patch that would:

e Create an option in either Settings->Authentication or Settings->Email notifications to "Notify Administrators of new account activation"
¢ Email administrators when a new account is activated

A question in my mind is when Self Registration is set to Manual Account Activation, an admin would have to manually activate the account. Would it
be worth emailing other admins of this?

Any comments, suggestions, ideas?

#13 - 2014-09-26 16:52 - Renzo Dani

The proposal is exactly what we are looking for our case.
Better would be if any project manager would receive the notification. In our case the manager is the one responsible to add user to a project.

#14 - 2015-06-05 21:18 - Brian Kirkpatrick

This behavior can be implemented by a plugin after the solution from #1945 is applied. This involves inserting a single line into app/models/user.rb to
declare a 'on user create' hook, which can then be referenced by plugin code that, in turn, implements the desired behaviors. In the case of #1945,
this means adding users to default projects; in the case of this issue (2722), this means invoking a plugin-specific Mailer class.

More information on implementing a plugin-specific Mailer can be found here:
http:/stackoverflow.com/questions/10505894/send-email-from-redmine-plugin

Additional useful information on working with Action Mailer in general can be found here:
http://guides.rubyonrails.org/action_mailer_basics.html

And last, but not least, don't forget to log your hooks for debugging purposes:

Rails.logger.info ("New user stuff going down")

#15 - 2015-07-05 06:06 - Toshi MARUYAMA
- Related to Feature #1945: Automatically add user to project added

#16 - 2019-09-26 02:41 - Go MAEDA

- Related to Patch #32142: Send notification when a user is created via LDAP on-the-fly user creation added

#17 - 2019-10-25 07:26 - Yuichi HARADA

- File add_checkbox_for_send_notification.png added
- File notification_mail_when_user_account_activated.png added

- File 2722_new_user_notification.patch added

When Self-registration ("Administration" > "Settings" > "Authentication") is "account activation by email" or "automatic account activation", send
account activate notification to admins can be turned on/off.

add_checkbox_for_send_notification.png
If "Send notification to admins when activated" is checked, a notification will be sent to the administrators when a self-registered user account is
activated.

notification_mail_when_user_account_activated.png
| attached a patch.

#18 - 2019-11-03 13:35 - Go MAEDA
Thank you for posting the patch.
I think the checkbox should be placed below "Authentication required" dropdown because the dropdown and the checkbox have a close connection.
#19 - 2019-11-03 21:04 - Marius BALTEANU
Go MAEDA wrote:
Thank you for posting the patch.
| think the checkbox should be placed below "Authentication required" dropdown because the dropdown and the checkbox have a close

connection.

Why not in "Email notifications" tab where are all settings related to email notifications?

#20 - 2021-04-23 07:15 - Yuichi HARADA
- File 2722_new_user_notification-v2.patch added
- File settings-email-notifications.png added
Marius BALTEANU wrote:
Go MAEDA wrote:
| think the checkbox should be placed below "Authentication required”" dropdown because the dropdown and the checkbox have a close
connection.

Why not in "Email notifications" tab where are all settings related to email notifications?

Moved the checkbox to the "Email notifications" tab. Unlike other notifications, this is a notification to the administrators, so | added a "Sent to
administrators" checkbox.
settings-email-notifications.png

#21 - 2021-04-30 12:30 - Go MAEDA

- Target version set to Candidate for next major release

#22 - 2024-12-16 18:12 - Jobin @ RedminePRO

Im on Redmine 5.1.2. stable, still looking for this feature.
